[From nobody Tue Jun 23 22:49:40 2009
Message-ID: &lt;4A414BE0.3000206@therek.net&gt;
Date: Tue, 23 Jun 2009 23:40:48 +0200
From: Cezary Morga &lt;cm@therek.net&gt;
User-Agent: Thunderbird 2.0.0.21 (X11/20090527)
MIME-Version: 1.0
To: linimon@freebsd.org
CC: freebsd-ports-bugs@freebsd.org, perl@freebsd.org
Subject: Re: ports/135939: net/p5-Net-Amazon-S3 0.51 has unresolved dependency
	on DateTimeX.pm
References: &lt;200906230000.n5N009od019234@freefall.freebsd.org&gt;
In-Reply-To: &lt;200906230000.n5N009od019234@freefall.freebsd.org&gt;
Content-Type: multipart/mixed; boundary=&quot;------------080009040107030506050808&quot;

This is a multi-part message in MIME format.
--------------080009040107030506050808
Content-Type: text/plain; charset=ISO-8859-2; format=flowed
Content-Transfer-Encoding: 7bit

Attached is a patch that:
- adds a missing dependency entry in net/p5-Net-Amazon-S3/Makefile
- adds devel/p5-MooseX-Types-DateTimeX and successive dependencies:
   - devel/p5-DateTime-Format-Flexible
   - devel/p5-DateTimeX-Easy
   - devel/p5-MooseX-Types-DateTime-ButMaintained
   - devel/p5-Olson-Abbreviations

-- 
Cezary Morga

--------------080009040107030506050808
Content-Type: text/plain;
 name=&quot;patch-p5-Net-Amazon-S3.diff&quot;
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename=&quot;patch-p5-Net-Amazon-S3.diff&quot;

diff -ruN net/p5-Net-Amazon-S3.orig/Makefile net/p5-Net-Amazon-S3/Makefile
--- net/p5-Net-Amazon-S3.orig/Makefile	2009-06-02 09:14:14.404363000 +0200
+++ net/p5-Net-Amazon-S3/Makefile	2009-06-23 23:25:40.477998000 +0200
@@ -7,6 +7,7 @@
 
 PORTNAME=	Net-Amazon-S3
 PORTVERSION=	0.51
+PORTREVISION=	1
 CATEGORIES=	net perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-
@@ -23,6 +24,7 @@
 		p5-LWP-UserAgent-Determined&gt;=0:${PORTSDIR}/www/p5-LWP-UserAgent-Determined \
 		p5-Moose&gt;=0:${PORTSDIR}/devel/p5-Moose \
 		p5-MooseX-StrictConstructor&gt;=0:${PORTSDIR}/devel/p5-MooseX-StrictConstructor \
+		p5-MooseX-Types-DateTimeX&gt;=0:${PORTSDIR}/devel/p5-MooseX-Types-DateTimeX \
 		p5-Regexp-Common&gt;=0:${PORTSDIR}/textproc/p5-Regexp-Common \
 		p5-URI&gt;=0:${PORTSDIR}/net/p5-URI \
 		p5-XML-LibXML&gt;=0:${PORTSDIR}/textproc/p5-XML-LibXML \
diff -ruN devel/p5-DateTime-Format-Flexible.orig/Makefile devel/p5-DateTime-Format-Flexible/Makefile
--- devel/p5-DateTime-Format-Flexible.orig/Makefile	1970-01-01 01:00:00.000000000 +0100
+++ devel/p5-DateTime-Format-Flexible/Makefile	2009-06-23 23:21:39.898522000 +0200
@@ -0,0 +1,27 @@
+# New ports collection makefile for:	devel/p5-DateTime-Format-Flexible
+# Date created:				23 Jun 2009
+# Whom:					Cezary Morga &lt;cm@therek.net&gt;
+#
+# $FreeBSD$
+#
+
+PORTNAME=	DateTime-Format-Flexible
+PORTVERSION=	0.09
+CATEGORIES=	devel perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	cm@therek.net
+COMMENT=	Flexibly parse strings and turn them into DateTime objects
+
+RUN_DEPENDS=	p5-DateTime&gt;=0:${PORTSDIR}/devel/p5-DateTime \
+		p5-DateTime-Format-Builder&gt;=0.74:${PORTSDIR}/devel/p5-DateTime-Format-Builder \
+		p5-DateTime-TimeZone&gt;=0:${PORTSDIR}/devel/p5-DateTime-TimeZone \
+		p5-Readonly&gt;=0.06:${PORTSDIR}/devel/p5-Readonly
+BUILD_DEPENDS=	${RUN_DEPENDS}
+
+PERL_CONFIGURE=	yes
+
+MAN3=	DateTime::Format::Flexible.3
+
+.include &lt;bsd.port.mk&gt;
diff -ruN devel/p5-DateTime-Format-Flexible.orig/distinfo devel/p5-DateTime-Format-Flexible/distinfo
--- devel/p5-DateTime-Format-Flexible.orig/distinfo	1970-01-01 01:00:00.000000000 +0100
+++ devel/p5-DateTime-Format-Flexible/distinfo	2009-06-23 23:21:39.894523000 +0200
@@ -0,0 +1,3 @@
+MD5 (DateTime-Format-Flexible-0.09.tar.gz) = e7b7c8089f3da5c3872ae97028e06390
+SHA256 (DateTime-Format-Flexible-0.09.tar.gz) = 7b512b5a0f0c00cc95d829addd061f47f27142d39e4e3594391149f97758fc17
+SIZE (DateTime-Format-Flexible-0.09.tar.gz) = 55474
diff -ruN devel/p5-DateTime-Format-Flexible.orig/pkg-descr devel/p5-DateTime-Format-Flexible/pkg-descr
--- devel/p5-DateTime-Format-Flexible.orig/pkg-descr	1970-01-01 01:00:00.000000000 +0100
+++ devel/p5-DateTime-Format-Flexible/pkg-descr	2009-06-23 23:21:39.896522000 +0200
@@ -0,0 +1,5 @@
+DateTime::Format::Flexible attempts to take any string you give it
+and parse it into a DateTime object. The test file tests 2500+
+variations of date/time strings.
+
+WWW: http://search.cpan.org/dist/DateTime-Format-Flexible/
diff -ruN devel/p5-DateTime-Format-Flexible.orig/pkg-plist devel/p5-DateTime-Format-Flexible/pkg-plist
--- devel/p5-DateTime-Format-Flexible.orig/pkg-plist	1970-01-01 01:00:00.000000000 +0100
+++ devel/p5-DateTime-Format-Flexible/pkg-plist	2009-06-23 23:21:39.897522000 +0200
@@ -0,0 +1,7 @@
+%%SITE_PERL%%/DateTime/Format/Flexible.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/DateTime/Format/Flexible/.packlist
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/DateTime/Format/Flexible
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/DateTime/Format
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/DateTime
+@dirrmtry %%SITE_PERL%%/DateTime/Format
+@dirrmtry %%SITE_PERL%%/DateTime
diff -ruN devel/p5-DateTimeX-Easy.orig/Makefile devel/p5-DateTimeX-Easy/Makefile
--- devel/p5-DateTimeX-Easy.orig/Makefile	1970-01-01 01:00:00.000000000 +0100
+++ devel/p5-DateTimeX-Easy/Makefile	2009-06-23 23:21:39.971522000 +0200
@@ -0,0 +1,31 @@
+# New ports collection makefile for:	devel/p5-DateTimeX-Easy
+# Date created:				23 Jun 2009
+# Whom:					Cezary Morga &lt;cm@therek.net&gt;
+#
+# $FreeBSD$
+#
+
+PORTNAME=	DateTimeX-Easy
+PORTVERSION=	0.087
+CATEGORIES=	devel perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	cm@therek.net
+COMMENT=	Parse a date/time string using the best method available
+
+RUN_DEPENDS=	p5-DateTime&gt;=0:${PORTSDIR}/devel/p5-DateTime \
+		p5-DateTime-Format-DateManip&gt;=0:${PORTSDIR}/devel/p5-DateTime-Format-DateManip \
+		p5-DateTime-Format-DateParse&gt;=0:${PORTSDIR}/devel/p5-DateTime-Format-DateParse \
+		p5-DateTime-Format-ICal&gt;=0:${PORTSDIR}/devel/p5-DateTime-Format-ICal \
+		p5-DateTime-Format-Natural&gt;=0:${PORTSDIR}/devel/p5-DateTime-Format-Natural \
+		p5-DateTime-Format-Flexible&gt;=0:${PORTSDIR}/devel/p5-DateTime-Format-Flexible \
+		p5-Scalar-List-Utils&gt;=0:${PORTSDIR}/lang/p5-Scalar-List-Utils
+BUILD_DEPENDS=	${RUN_DEPENDS}
+
+PERL_CONFIGURE=	yes
+
+MAN3=	DateTimeX::Easy.3 \
+	DateTimeX::Easy::DateParse.3
+
+.include &lt;bsd.port.mk&gt;
diff -ruN devel/p5-DateTimeX-Easy.orig/distinfo devel/p5-DateTimeX-Easy/distinfo
--- devel/p5-DateTimeX-Easy.orig/distinfo	1970-01-01 01:00:00.000000000 +0100
+++ devel/p5-DateTimeX-Easy/distinfo	2009-06-23 23:21:39.967522000 +0200
@@ -0,0 +1,3 @@
+MD5 (DateTimeX-Easy-0.087.tar.gz) = 231ff4345ff5f7a3092bfdc19c374d51
+SHA256 (DateTimeX-Easy-0.087.tar.gz) = 853ba6016cfd53bd66399b9008b72a94702aeef7d01449e74261610081d64b83
+SIZE (DateTimeX-Easy-0.087.tar.gz) = 33178
diff -ruN devel/p5-DateTimeX-Easy.orig/pkg-descr devel/p5-DateTimeX-Easy/pkg-descr
--- devel/p5-DateTimeX-Easy.orig/pkg-descr	1970-01-01 01:00:00.000000000 +0100
+++ devel/p5-DateTimeX-Easy/pkg-descr	2009-06-23 23:21:39.968522000 +0200
@@ -0,0 +1,6 @@
+DateTimeX::Easy makes DateTime object creation quick and easy. It
+uses a variety of DateTime::Format packages to do the bulk of the
+parsing, with some custom tweaks to smooth out the rough edges
+(mainly concerning timezone detection and selection).
+
+WWW: http://search.cpan.org/dist/DateTimeX-Easy/
diff -ruN devel/p5-DateTimeX-Easy.orig/pkg-plist devel/p5-DateTimeX-Easy/pkg-plist
--- devel/p5-DateTimeX-Easy.orig/pkg-plist	1970-01-01 01:00:00.000000000 +0100
+++ devel/p5-DateTimeX-Easy/pkg-plist	2009-06-23 23:21:39.970522000 +0200
@@ -0,0 +1,7 @@
+%%SITE_PERL%%/DateTimeX/Easy/DateParse.pm
+%%SITE_PERL%%/DateTimeX/Easy.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/DateTimeX/Easy/.packlist
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/DateTimeX/Easy
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/DateTimeX
+@dirrmtry %%SITE_PERL%%/DateTimeX/Easy
+@dirrmtry %%SITE_PERL%%/DateTimeX
diff -ruN devel/p5-MooseX-Types-DateTime-ButMaintained.orig/Makefile devel/p5-MooseX-Types-DateTime-ButMaintained/Makefile
--- devel/p5-MooseX-Types-DateTime-ButMaintained.orig/Makefile	1970-01-01 01:00:00.000000000 +0100
+++ devel/p5-MooseX-Types-DateTime-ButMaintained/Makefile	2009-06-23 23:21:40.095522000 +0200
@@ -0,0 +1,30 @@
+# New ports collection makefile for:	devel/p5-MooseX-Types-DateTime-ButMaintained
+# Date created:				23 Jun 2009
+# Whom:					Cezary Morga &lt;cm@therek.net&gt;
+#
+# $FreeBSD$
+#
+
+PORTNAME=	MooseX-Types-DateTime-ButMaintained
+PORTVERSION=	0.06
+CATEGORIES=	devel perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	cm@therek.net
+COMMENT=	DateTime related constraints and coercions for Moose
+
+RUN_DEPENDS=	p5-DateTime&gt;=0.43:${PORTSDIR}/devel/p5-DateTime \
+		p5-DateTime-Locale&gt;=0.40:${PORTSDIR}/devel/p5-DateTime-Locale \
+		p5-DateTime-TimeZone&gt;=0.77:${PORTSDIR}/devel/p5-DateTime-TimeZone \
+		p5-Moose&gt;=0.41:${PORTSDIR}/devel/p5-Moose \
+		p5-MooseX-Types&gt;=0.04:${PORTSDIR}/devel/p5-MooseX-Types \
+		p5-Olson-Abbreviations&gt;=0:${PORTSDIR}/devel/p5-Olson-Abbreviations \
+		p5-namespace-clean&gt;=0.08:${PORTSDIR}/devel/p5-namespace-clean
+BUILD_DEPENDS=	${RUN_DEPENDS}
+
+PERL_CONFIGURE=	yes
+
+MAN3=	MooseX::Types::DateTime::ButMaintained.3
+
+.include &lt;bsd.port.mk&gt;
diff -ruN devel/p5-MooseX-Types-DateTime-ButMaintained.orig/distinfo devel/p5-MooseX-Types-DateTime-ButMaintained/distinfo
--- devel/p5-MooseX-Types-DateTime-ButMaintained.orig/distinfo	1970-01-01 01:00:00.000000000 +0100
+++ devel/p5-MooseX-Types-DateTime-ButMaintained/distinfo	2009-06-23 23:21:40.091522000 +0200
@@ -0,0 +1,3 @@
+MD5 (MooseX-Types-DateTime-ButMaintained-0.06.tar.gz) = 85d347494479254c4dc6ef8324437b5d
+SHA256 (MooseX-Types-DateTime-ButMaintained-0.06.tar.gz) = 11dd5e7443a1dab35968b536a630c93077274341dde78d552a8a6f48ffd2749e
+SIZE (MooseX-Types-DateTime-ButMaintained-0.06.tar.gz) = 24668
diff -ruN devel/p5-MooseX-Types-DateTime-ButMaintained.orig/pkg-descr devel/p5-MooseX-Types-DateTime-ButMaintained/pkg-descr
--- devel/p5-MooseX-Types-DateTime-ButMaintained.orig/pkg-descr	1970-01-01 01:00:00.000000000 +0100
+++ devel/p5-MooseX-Types-DateTime-ButMaintained/pkg-descr	2009-06-23 23:21:40.093522000 +0200
@@ -0,0 +1,9 @@
+This module packages several Moose::Util::TypeConstraints with
+coercions, designed to work with the DateTime suite of objects.
+
+This module is just the MooseX::Types::DateTime without the requirement
+on DateTimeX::Easy (which requires DateTime::Manip). As of 0.05
+this module supports globally unique Olson abbreviations, and dies
+when they are not globally unique.
+
+WWW: http://search.cpan.org/dist/MooseX-Types-DateTime-ButMaintained/
diff -ruN devel/p5-MooseX-Types-DateTime-ButMaintained.orig/pkg-plist devel/p5-MooseX-Types-DateTime-ButMaintained/pkg-plist
--- devel/p5-MooseX-Types-DateTime-ButMaintained.orig/pkg-plist	1970-01-01 01:00:00.000000000 +0100
+++ devel/p5-MooseX-Types-DateTime-ButMaintained/pkg-plist	2009-06-23 23:21:40.094522000 +0200
@@ -0,0 +1,5 @@
+%%SITE_PERL%%/MooseX/Types/DateTime/ButMaintained.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/MooseX/Types/DateTime/ButMaintained/.packlist
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/MooseX/Types/DateTime/ButMaintained
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/MooseX/Types/DateTime
+@dirrmtry %%SITE_PERL%%/MooseX/Types/DateTime
diff -ruN devel/p5-MooseX-Types-DateTimeX.orig/Makefile devel/p5-MooseX-Types-DateTimeX/Makefile
--- devel/p5-MooseX-Types-DateTimeX.orig/Makefile	1970-01-01 01:00:00.000000000 +0100
+++ devel/p5-MooseX-Types-DateTimeX/Makefile	2009-06-23 23:21:39.858523000 +0200
@@ -0,0 +1,29 @@
+# New ports collection makefile for:	devel/p5-MooseX-Types-DateTimeX
+# Date created:				23 Jun 2009
+# Whom:					Cezary Morga &lt;cm@therek.net&gt;
+#
+# $FreeBSD$
+#
+
+PORTNAME=	MooseX-Types-DateTimeX
+PORTVERSION=	0.06
+CATEGORIES=	devel perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	cm@therek.net
+COMMENT=	Extensions to MooseX::Types::DateTime::ButMaintained
+
+RUN_DEPENDS=	p5-DateTimeX-Easy&gt;=0.085:${PORTSDIR}/devel/p5-DateTimeX-Easy \
+		p5-Moose&gt;=0.41:${PORTSDIR}/devel/p5-Moose \
+		p5-MooseX-Types&gt;=0.04:${PORTSDIR}/devel/p5-MooseX-Types \
+		p5-MooseX-Types-DateTime-ButMaintained&gt;=0.04:${PORTSDIR}/devel/p5-MooseX-Types-DateTime-ButMaintained \
+		p5-Time-Duration-Parse&gt;=0.06:${PORTSDIR}/devel/p5-Time-Duration-Parse \
+		p5-namespace-clean&gt;=0.08:${PORTSDIR}/devel/p5-namespace-clean
+BUILD_DEPENDS=	${RUN_DEPENDS}
+
+PERL_CONFIGURE=	yes
+
+MAN3=	MooseX::Types::DateTimeX.3
+
+.include &lt;bsd.port.mk&gt;
diff -ruN devel/p5-MooseX-Types-DateTimeX.orig/distinfo devel/p5-MooseX-Types-DateTimeX/distinfo
--- devel/p5-MooseX-Types-DateTimeX.orig/distinfo	1970-01-01 01:00:00.000000000 +0100
+++ devel/p5-MooseX-Types-DateTimeX/distinfo	2009-06-23 23:21:39.854522000 +0200
@@ -0,0 +1,3 @@
+MD5 (MooseX-Types-DateTimeX-0.06.tar.gz) = d8142d7f7b08af18de6d302da8d7f7b9
+SHA256 (MooseX-Types-DateTimeX-0.06.tar.gz) = f086253081e31025923dd209ff6392d3c9e4db4d186562189114365d254bd088
+SIZE (MooseX-Types-DateTimeX-0.06.tar.gz) = 23880
diff -ruN devel/p5-MooseX-Types-DateTimeX.orig/pkg-descr devel/p5-MooseX-Types-DateTimeX/pkg-descr
--- devel/p5-MooseX-Types-DateTimeX.orig/pkg-descr	1970-01-01 01:00:00.000000000 +0100
+++ devel/p5-MooseX-Types-DateTimeX/pkg-descr	2009-06-23 23:21:39.855523000 +0200
@@ -0,0 +1,9 @@
+This module builds on MooseX::Types::DateTime to add additional
+custom types and coercions. Since it builds on an existing type,
+all coercions and constraints are inherited.
+
+The package name is left as is for legacy reasons: this module is
+really a Type with coercions for DateTimeX::Easy. DateTimeX is just
+a namespace for non-core or less-official DateTime modules.
+
+WWW: http://search.cpan.org/dist/MooseX-Types-DateTimeX/
diff -ruN devel/p5-MooseX-Types-DateTimeX.orig/pkg-plist devel/p5-MooseX-Types-DateTimeX/pkg-plist
--- devel/p5-MooseX-Types-DateTimeX.orig/pkg-plist	1970-01-01 01:00:00.000000000 +0100
+++ devel/p5-MooseX-Types-DateTimeX/pkg-plist	2009-06-23 23:21:39.857522000 +0200
@@ -0,0 +1,7 @@
+%%SITE_PERL%%/MooseX/Types/DateTimeX.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/MooseX/Types/DateTimeX/.packlist
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/MooseX/Types/DateTimeX
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/MooseX/Types
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/MooseX
+@dirrmtry %%SITE_PERL%%/MooseX/Typem
+@dirrmtry %%SITE_PERL%%/MooseX
diff -ruN devel/p5-Olson-Abbreviations.orig/Makefile devel/p5-Olson-Abbreviations/Makefile
--- devel/p5-Olson-Abbreviations.orig/Makefile	1970-01-01 01:00:00.000000000 +0100
+++ devel/p5-Olson-Abbreviations/Makefile	2009-06-23 23:21:39.951521000 +0200
@@ -0,0 +1,27 @@
+# New ports collection makefile for:	devel/p5-Olson-Abbreviations
+# Date created:				23 Jun 2009
+# Whom:					Cezary Morga &lt;cm@therek.net&gt;
+#
+# $FreeBSD$
+#
+
+PORTNAME=	Olson-Abbreviations
+PORTVERSION=	0.02
+CATEGORIES=	devel perl5
+MASTER_SITES=	CPAN
+MASTER_SITE_SUBDIR=	../by-authors/id/E/EC/ECARROLL
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	cm@therek.net
+COMMENT=	Globally unique timezones abbreviation handling
+
+RUN_DEPENDS=	p5-Moose&gt;=0.41:${PORTSDIR}/devel/p5-Moose \
+		p5-MooseX-AttributeHelpers&gt;=0:${PORTSDIR}/devel/p5-MooseX-AttributeHelpers \
+		p5-MooseX-ClassAttribute&gt;=0:${PORTSDIR}/devel/p5-MooseX-ClassAttribute
+BUILD_DEPENDS=	${RUN_DEPENDS}
+
+PERL_CONFIGURE=	yes
+
+MAN3=	Olson::Abbreviations.3
+
+.include &lt;bsd.port.mk&gt;
diff -ruN devel/p5-Olson-Abbreviations.orig/distinfo devel/p5-Olson-Abbreviations/distinfo
--- devel/p5-Olson-Abbreviations.orig/distinfo	1970-01-01 01:00:00.000000000 +0100
+++ devel/p5-Olson-Abbreviations/distinfo	2009-06-23 23:21:39.946523000 +0200
@@ -0,0 +1,3 @@
+MD5 (Olson-Abbreviations-0.02.tar.gz) = 19c1a8b91f0d2e393e0cf824deb36e3b
+SHA256 (Olson-Abbreviations-0.02.tar.gz) = 45cd49b266cfe112167d8a2a2a39757e8520b3198bebf1cd5e07d2b9b8d6e306
+SIZE (Olson-Abbreviations-0.02.tar.gz) = 24307
diff -ruN devel/p5-Olson-Abbreviations.orig/pkg-descr devel/p5-Olson-Abbreviations/pkg-descr
--- devel/p5-Olson-Abbreviations.orig/pkg-descr	1970-01-01 01:00:00.000000000 +0100
+++ devel/p5-Olson-Abbreviations/pkg-descr	2009-06-23 23:21:39.947522000 +0200
@@ -0,0 +1,4 @@
+This module should help you with converting commonly used and often
+ambigious olson abbreviations into TZ offset notation.
+
+WWW: http://search.cpan.org/dist/Olson-Abbreviations/
diff -ruN devel/p5-Olson-Abbreviations.orig/pkg-plist devel/p5-Olson-Abbreviations/pkg-plist
--- devel/p5-Olson-Abbreviations.orig/pkg-plist	1970-01-01 01:00:00.000000000 +0100
+++ devel/p5-Olson-Abbreviations/pkg-plist	2009-06-23 23:21:39.949522000 +0200
@@ -0,0 +1,5 @@
+%%SITE_PERL%%/Olson/Abbreviations.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Olson/Abbreviations/.packlist
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Olson/Abbreviations
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Olson
+@dirrmtry %%SITE_PERL%%/Olson

--------------080009040107030506050808--

]